Subject: bug#74700: [PATCH] Revert Dired buffer when clicking on last segment of directory name

From: Drew Adams <[email-masked]>
Date: Wed, 25 Dec 2024 03:43:44 +0000

> >             `( mouse-face highlight
> >                help-echo "mouse-1: revert this buffer"
> >                keymap ,(define-keymap
> > -                        "<mouse-2>" #'revert-buffer
> > -                        "<follow-link>" 'follow-link
> > +                        "<mouse-2>" (lambda (_)
> > +                                      (interactive "@e")
> > +                                      (revert-buffer))
> > +                        "<follow-link>" 'mouse-face
> 
> I don't know how to fix the mouse-1 problem in a sensible way either.
> Does anyone?
> 
> (And I think in this version the "e" code in `interactive' isn't
> significant - but let's first see if we can improve the behavior even
> more.)

I don't understand the problem.  Is it that you think
someone might want to have `mouse-1' on the leaf
breadcrumbs component (the default directory) just set
point there - on the header line?  I can't imagine that.

I just bind both `mouse-1' and `mouse-2' to the same
command there, `revert-buffer'.

(On nonleaf breadcrumb components I bind `mouse-1' and
`mouse-2' to different commands, to invoke Dired on
the component's directory in the same, and in another,
window, respectively.)